unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ppCtrls, ppVar, ppPrnabl, ppClass, ppBands, ppCache,
  daDataView, daQueryDataView, daDBBDE, ppModule, daDataModule, ppComm,
  ppRelatv, ppProd, ppReport, ppFilDev, ppDevice;

type
  TForm1 = class(TForm)
    ppReport1: TppReport;
    daDataModule1: TdaDataModule;
    daBDEQueryDataView1: TdaBDEQueryDataView;
    ppHeaderBand1: TppHeaderBand;
    ppDetailBand1: TppDetailBand;
    ppFooterBand1: TppFooterBand;
    ppTitleBand1: TppTitleBand;
    ppLabel1: TppLabel;
    ppSystemVariable1: TppSystemVariable;
    ppSystemVariable2: TppSystemVariable;
    ppDBText1: TppDBText;
    ppLabel2: TppLabel;
    ppDBText2: TppDBText;
    ppLabel3: TppLabel;
    ppLine1: TppLine;
    ppLine2: TppLine;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure ppReport1PrintDialogClose(Sender: TObject);
    procedure ppReport1PrintingComplete(Sender: TObject);
  private
    FArchiveDevice: TppArchiveDevice;

    procedure AddArchiveDevice(aReport: TppReport; aPageRequest: TppPageRequest);

  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  ppReport1.Print;
end;

procedure TForm1.ppReport1PrintDialogClose(Sender: TObject);
begin
  if (ppReport1.PrintDialog.ModalResult = mrOK) then
    AddArchiveDevice(ppReport1, TppPageRequest(ppReport1.PrintDialog.PageRequest));
end;

procedure TForm1.AddArchiveDevice(aReport: TppReport; aPageRequest: TppPageRequest);
begin
  FArchiveDevice := TppArchiveDevice.Create(nil);
  FArchiveDevice.Publisher := aReport.Publisher;
  FArchiveDevice.FileName := 'c:\Test.raf';
  FArchiveDevice.PageRequest := aPageRequest;

end;

procedure TForm1.ppReport1PrintingComplete(Sender: TObject);
begin
  FArchiveDevice.Free;
  FArchiveDevice := nil;

end;

end.
